---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs301t002.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F290, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x511D0, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x515C0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52560, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52570, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EF10, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EF14, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EF18, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F070, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F128, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F12C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F130, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F134, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F138, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F140, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F158, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F160, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F168, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F170, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F178, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F1C0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3C00, symSize: 0x80 }
  - { offsetInCU: 0x91BB, offset: 0x91BB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3B50, symSize: 0xB0 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3A50, symSize: 0x100 }
  - { offsetInCU: 0x94A9, offset: 0x94A9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3C80, symSize: 0xC0 }
  - { offsetInCU: 0x94FB, offset: 0x94FB, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3D40, symSize: 0x220 }
  - { offsetInCU: 0x96E0, offset: 0x96E0, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3F60, symSize: 0xA0 }
  - { offsetInCU: 0x9793, offset: 0x9793, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4000, symSize: 0x110 }
  - { offsetInCU: 0x9889, offset: 0x9889, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4110, symSize: 0x150 }
  - { offsetInCU: 0x99BA, offset: 0x99BA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4260, symSize: 0x30 }
  - { offsetInCU: 0x9A43, offset: 0x9A43, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4290, symSize: 0x150 }
  - { offsetInCU: 0x9C3B, offset: 0x9C3B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x43E0, symSize: 0x160 }
  - { offsetInCU: 0x9EFB, offset: 0x9EFB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4540, symSize: 0x4A0 }
  - { offsetInCU: 0xA194, offset: 0xA194, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x49E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA3AF, offset: 0xA3AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4B90, symSize: 0xA0 }
  - { offsetInCU: 0xA4D6, offset: 0xA4D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x4C30, symSize: 0x2D0 }
  - { offsetInCU: 0xA7B8, offset: 0xA7B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4F00, symSize: 0x20 }
  - { offsetInCU: 0xA7EF, offset: 0xA7EF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4F20, symSize: 0x20 }
  - { offsetInCU: 0xA826, offset: 0xA826, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4F40, symSize: 0x20 }
  - { offsetInCU: 0xA995, offset: 0xA995, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4F60, symSize: 0x1A0 }
  - { offsetInCU: 0xACBB, offset: 0xACBB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5100, symSize: 0x80 }
  - { offsetInCU: 0xAD84, offset: 0xAD84, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5180, symSize: 0x6A0 }
  - { offsetInCU: 0xB919, offset: 0xB919, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9EB0, symBinAddr: 0x61C0, symSize: 0xB0 }
  - { offsetInCU: 0xB990, offset: 0xB990, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5820, symSize: 0x70 }
  - { offsetInCU: 0xBA4C, offset: 0xBA4C, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5890, symSize: 0xA0 }
  - { offsetInCU: 0xBB2B, offset: 0xBB2B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5930, symSize: 0x40 }
  - { offsetInCU: 0xBC21, offset: 0xBC21, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5970, symSize: 0x2B0 }
  - { offsetInCU: 0xBFC7, offset: 0xBFC7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5C20, symSize: 0xC0 }
  - { offsetInCU: 0xC10D, offset: 0xC10D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5CE0, symSize: 0x10 }
  - { offsetInCU: 0xC1CF, offset: 0xC1CF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5CF0, symSize: 0x220 }
  - { offsetInCU: 0xC4CC, offset: 0xC4CC, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5F10, symSize: 0x10 }
  - { offsetInCU: 0xC529, offset: 0xC529, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5F20, symSize: 0x150 }
  - { offsetInCU: 0xC6D6, offset: 0xC6D6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x6070, symSize: 0x10 }
  - { offsetInCU: 0xC76D, offset: 0xC76D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS301_hs301t002_hs301t002_redefine, symObjAddr: 0x9D70, symBinAddr: 0x6080, symSize: 0x140 }
  - { offsetInCU: 0xC8E2, offset: 0xC8E2, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F60, symBinAddr: 0x6270, symSize: 0x36A }
...
